
Foreman - Bug #4274

remove I18n deprecation warning when running tests

02/06/2014 08:51 AM - Joseph Magen

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Internationalization   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

[deprecated] I18n.enforce_available_locales will default to true in the future. If you really want to skip validation of your locale you

can set I18n.enforce_available_locales = false to avoid this message.

Related issues:

Related to Foreman - Bug #8791: I18n::InvalidLocale: :en is not a valid locale Closed 12/24/2014

Related to Foreman - Feature #7230: Upgrade Ruby on Rails to 4.1 Closed 08/22/2014

History

#1 - 02/06/2014 09:52 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

- Target version set to 1.9.2

https://github.com/theforeman/foreman/pull/1216

#2 - 02/06/2014 12:09 PM - Anonymous

- Target version changed from 1.9.2 to 1.9.1

#3 - 03/03/2014 12:49 PM - Anonymous

- Target version changed from 1.9.1 to 1.9.0

#4 - 03/26/2014 12:56 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#5 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#6 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.3 to 1.8.4

#7 - 04/24/2014 10:24 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#8 - 05/19/2014 12:40 PM - Anonymous

- Target version changed from 1.8.3 to 1.8.2

#9 - 06/11/2014 02:58 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#10 - 07/07/2014 07:19 AM - Anonymous
- Target version changed from 1.8.1 to 1.8.0

#11 - 07/30/2014 06:48 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#12 - 08/07/2014 03:34 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/1216 added

#13 - 08/08/2014 03:55 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (Joseph Magen)

- Target version deleted (1.7.5)

#14 - 01/02/2015 03:19 AM - Dominic Cleal

- Related to Bug #8791: I18n::InvalidLocale: :en is not a valid locale added

#15 - 01/02/2015 03:25 AM - Dominic Cleal

- Blocked by Tracker #3157: Rails 4.1 upgrade tasks added

#16 - 01/02/2015 03:26 AM - Dominic Cleal

Once we've switched to Rails 4, we'll have newer rubygem-i18n RPMs and so this can be changed, allowing us to unpin the i18n gem again.

#17 - 01/07/2015 07:35 AM - Tom Caspy

- Status changed from New to Ready For Testing

#18 - 12/18/2015 05:17 AM - Dominic Cleal

- Blocked by deleted (Tracker #3157: Rails 4.1 upgrade tasks)

#19 - 12/18/2015 05:17 AM - Dominic Cleal

- Is duplicate of Feature #7230: Upgrade Ruby on Rails to 4.1 added

#20 - 12/18/2015 05:17 AM - Dominic Cleal

- Is duplicate of deleted (Feature #7230: Upgrade Ruby on Rails to 4.1)

#21 - 12/18/2015 05:17 AM - Dominic Cleal

- Is duplicate of Feature #7230: Upgrade Ruby on Rails to 4.1 added

#22 - 12/18/2015 05:18 AM - Dominic Cleal

Warning is fixed in #7230 by setting it to false, but the pin that was added in #8791 could now be removed as we have newer i18n gems available

now.

#23 - 12/18/2015 05:20 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/theforeman/foreman/pull/1216)

#24 - 12/18/2015 08:46 AM - Dominic Cleal

- Is duplicate of deleted (Feature #7230: Upgrade Ruby on Rails to 4.1)

#25 - 12/18/2015 08:46 AM - Dominic Cleal

- Related to Feature #7230: Upgrade Ruby on Rails to 4.1 added

#26 - 01/18/2016 04:23 AM - Dominic Cleal

- Status changed from New to Resolved

- % Done changed from 0 to 100

Fixed in #7230.
